// Project Lab - NHTV Igad

#pragma once

#include "Blueprint/UserWidget.h"
#include "CombatTextText.generated.h"

/**
 * 
 */

UCLASS()
class UNREALPROJECT_API UCombatTextText : public UUserWidget
{
	GENERATED_BODY()

public:
	virtual void NativeConstruct();

	UFUNCTION(BlueprintNativeEvent, Category = "CombatText")
	void SetText(const FString& text);

	UFUNCTION(BlueprintNativeEvent, Category = "CombatText")
	void SetColor(const FLinearColor& color);


	float lifeTime;
	FVector position;
};
